<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.system.biz.mapper.KxsActivityMarketMapper">

    <resultMap type="com.kxs.system.api.model.KxsActivityMarket" id="KxsActivityMarketMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="title" property="title" />
        <result column="contents" property="contents" />
        <result column="url" property="url" />
        <result column="pic_path" property="picPath" />
        <result column="menu_id" property="menuId" />
        <result column="status" property="status" />

    </resultMap>
    <select id="getByPage" resultType="com.kxs.system.api.vo.kxsapp.activityMarket.ActivityMarketListVO">
        select * from kxs_activity_market a
        <where>
            a.del_flag = '0'
            <if test="menuId != null and menuId != ''">
                AND u.menu_id = #{menuId}
            </if>
        </where>
    </select>

</mapper>
